CacheException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: CacheException

Package org.apache.geode.cache

# Class CacheException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheExistsException`, `EntryExistsException`, `EntryNotFoundException`, `RegionExistsException`, `TransactionException`

public abstract class CacheException extends GemFireException
A generic exception, which indicates a cache error has occurred. All the other cache exceptions are subclasses of this class. This class is abstract and therefore only subclasses are instantiated.

Since:
  GemFire 2.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheException()`
  Constructs a new `CacheException`.
  `CacheException(String s)`
  Constructs a new `CacheException` with a message string.
  `CacheException(String s, Throwable cause)`
  Constructs a `CacheException` with a message string and a base exception
  `CacheException(Throwable cause)`
  Constructs a `CacheException` with a cause

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CacheException

    public CacheException()
    Constructs a new `CacheException`.

  - ### CacheException

    public CacheException(String s)
    Constructs a new `CacheException` with a message string.
    Parameters:
      `s` - the detail message

  - ### CacheException

    public CacheException(String s, Throwable cause)
    Constructs a `CacheException` with a message string and a base exception
    Parameters:
      `s` - the detail message
      `cause` - the cause

  - ### CacheException

    public CacheException(Throwable cause)
    Constructs a `CacheException` with a cause
    Parameters:
      `cause` - the cause

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`